Skip to main content
GET
/
v1
/
consumer
/
subscriptions
List Subscriptions
curl --request GET \
  --url https://api.withflex.com/v1/consumer/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "subscriptions": [
    {
      "subscription_id": "obj_01EXAMPLE00000000000000000",
      "created_at": "2024-01-01T00:00:00Z",
      "items": [],
      "status": "incomplete",
      "cancel_at_period_end": false,
      "current_period_end": "string",
      "current_period_start": "string",
      "test_mode": false,
      "proration_behavior": "always_invoice",
      "trial_start": "string",
      "trial_end": "string",
      "cancel_at": "2024-01-01T00:00:00Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.withflex.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

limit
integer<int32> | null
offset
integer<int32> | null
starting_after
string | null
ending_before
string | null
status
enum<string> | null
Available options:
incomplete,
incomplete_expired,
trialing,
active,
past_due,
canceled,
unpaid,
paused
Example:

"incomplete"

checkout_session_id
string | null
expand
string

Represents a list as a comma-separated string.

Example:

""

Response

Success

subscriptions
object[]
required